Skip to main content
Topic: error:failed to commit transaction (invalid or corrupted package (PGP signature) (Read 194 times) previous topic - next topic
0 Members and 2 Guests are viewing this topic.

error:failed to commit transaction (invalid or corrupted package (PGP signature)

" error: failed to commit transaction (invalid or corrupted package (PGP signature)) "

Total newb here, arrived at Artix after looking for a lightweight Windows alternative with no systemd.

Getting above error  when trying to update or upgrade ... anything. Not finding anything in the forums of this nature, so making a new post.

Started by trying to install a GUI for Pacman e.g. Pamac but yaourt deprecated and yay gets same error. I tried searching for a solution elsewhere, but the ArchLinux wiki just doesn't make sense to me *gasp* and other solutions lead me in an error loop with the same result, quoted above ^

If you want to see an example of my clumsy attempts, please see attached text file.

Re: error:failed to commit transaction (invalid or corrupted package (PGP signature)

Reply #1
This is a fairly common error in pacman-based distributions and easily fixable too.

https://wiki.artixlinux.org/Main/Troubleshooting#Invalid_or_corrupted_packages_.28PGP_signature.29

The --force pacman option has been deprecated recently, remove it or replace it with --overwrite (if needed).

 

Re: error:failed to commit transaction (invalid or corrupted package (PGP signature)

Reply #2
I'll add to this and say the steps in that troubleshooting guide fixed this problem for me.